GDB (xrefs)

Public Attributes | List of all members
block_iterator Struct Reference

`#include "block.h"`

## Public Attributes
union {
struct compunit_symtab * compunit_symtab
const struct block * block
} | d
int | idx
enum block_enum | which
struct dict_iterator | dict_iter

## Detailed Description

Definition at line 197 of file block.h.

## Member Data Documentation

## ◆ block

const struct block* block_iterator::block

Definition at line 205 of file block.h.

Referenced by initialize_block_iterator().

## ◆ compunit_symtab

struct compunit_symtab* block_iterator::compunit_symtab

Definition at line 204 of file block.h.

Referenced by bkscm_print_block_syms_progress_smob(), find_iterator_compunit_symtab(), and initialize_block_iterator().

## ◆ d

union { ... } block_iterator::d

Referenced by bkscm_print_block_syms_progress_smob(), find_iterator_compunit_symtab(), and initialize_block_iterator().

## ◆ dict_iter

struct dict_iterator block_iterator::dict_iter

Definition at line 223 of file block.h.

Referenced by block_iter_match_first(), block_iter_match_next(), block_iter_match_step(), block_iterator_first(), block_iterator_next(), and block_iterator_step().

## ◆ idx

int block_iterator::idx

Definition at line 213 of file block.h.

Referenced by bkscm_print_block_syms_progress_smob(), block_iter_match_step(), block_iterator_step(), find_iterator_compunit_symtab(), and initialize_block_iterator().

## ◆ which

enum block_enum block_iterator::which

Definition at line 219 of file block.h.

Referenced by bkscm_print_block_syms_progress_smob(), block_iter_match_first(), block_iter_match_next(), block_iter_match_step(), block_iterator_first(), block_iterator_next(), block_iterator_step(), and initialize_block_iterator().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/block.h